Subject: Re: [bitcoin-dev] [BIP Draft] Allow zero value OP_RETURN in Payment Protocol

From: Luke Dashjr <[email-masked]>
Date: Tue, 2 Feb 2016 19:14:17 +0000

On Tuesday, February 02, 2016 5:16:30 PM Pieter Wuille via bitcoin-dev wrote:
> On Feb 2, 2016 18:04, "Peter Todd via bitcoin-dev" <
> 
> [email-masked]> wrote:
> > On Tue, Jan 26, 2016 at 09:44:48AM -0800, Toby Padilla via bitcoin-dev
> 
> wrote:
> > > I really don't like the idea of policing other people's use of the
> > > protocol. If a transaction pays its fee and has a greater than dust
> 
> value,
> 
> > > it makes no sense to object to it.
> > 
> > I'll point out that getting a BIP for a feature is *not* a hard
> > requirement for deployment. I'd encourage you to go write up your BIP
> > document, give it a non-numerical name for ease of reference, and lobby
> > wallet vendors to implement it.
> > 
> > While I'll refrain from commenting on whether or not I think the feature
> > itself is a good idea, I really don't want people to get the impression
> > that we're gatekeepers for how people choose use Bitcoin.
> 
> I'll go further: whatever people have commented here and elsewhere about
> this feature (myself included) are personal opinions on the feature itself,
> in the hope you take the concerns into account.
> 
> These comments are not a judgement on whether this should be accepted as a
> BIP. Specifically, the BIP editor should accept a BIP even if he personally
> dislikes the ideas in it, when the criteria are satisfied.
> 
> Beyond that, having a BIP accepted does not mean wallets have to implement
> it. That's up to the individual wallet authors/maintainers.

Agree with both Peter and Pieter. Note that BIP 74 was assigned to this 
proposal last Friday.

Luke